package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.EtRoleMenu;

/**
 * 角色和菜单关联Mapper接口
 * 
 * @author ruoyi
 * @date 2024-12-07
 */
public interface EtRoleMenuMapper 
{
    /**
     * 查询角色和菜单关联
     * 
     * @param roleId 角色和菜单关联主键
     * @return 角色和菜单关联
     */
    public EtRoleMenu selectEtRoleMenuByRoleId(Long roleId);

    /**
     * 查询角色和菜单关联列表
     * 
     * @param etRoleMenu 角色和菜单关联
     * @return 角色和菜单关联集合
     */
    public List<EtRoleMenu> selectEtRoleMenuList(EtRoleMenu etRoleMenu);

    /**
     * 新增角色和菜单关联
     * 
     * @param etRoleMenu 角色和菜单关联
     * @return 结果
     */
    public int insertEtRoleMenu(EtRoleMenu etRoleMenu);

    /**
     * 修改角色和菜单关联
     * 
     * @param etRoleMenu 角色和菜单关联
     * @return 结果
     */
    public int updateEtRoleMenu(EtRoleMenu etRoleMenu);

    /**
     * 删除角色和菜单关联
     * 
     * @param roleId 角色和菜单关联主键
     * @return 结果
     */
    public int deleteEtRoleMenuByRoleId(Long roleId);

    /**
     * 批量删除角色和菜单关联
     * 
     * @param roleIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEtRoleMenuByRoleIds(Long[] roleIds);
}
