package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.EtMenu;

/**
 * 前端菜单Service接口
 *
 * @author ruoyi
 * @date 2024-12-07
 */
public interface IEtMenuService
{
    /**
     * 查询前端菜单
     *
     * @param menuId 前端菜单主键
     * @return 前端菜单
     */
    public EtMenu selectEtMenuByMenuId(Long menuId);

    /**
     * 查询前端菜单列表
     *
     * @param etMenu 前端菜单
     * @return 前端菜单集合
     */
    public List<EtMenu> selectEtMenuList(EtMenu etMenu);

    /**
     * 根据用户角色查询所有菜单
     *
     * @param role 用户类型
     * @return 前端菜单集合
     */
    public List<EtMenu> selectEtMenuListByRole(String role);

    /**
     * 新增前端菜单
     *
     * @param etMenu 前端菜单
     * @return 结果
     */
    public int insertEtMenu(EtMenu etMenu);

    /**
     * 修改前端菜单
     *
     * @param etMenu 前端菜单
     * @return 结果
     */
    public int updateEtMenu(EtMenu etMenu);

    /**
     * 批量删除前端菜单
     *
     * @param menuIds 需要删除的前端菜单主键集合
     * @return 结果
     */
    public int deleteEtMenuByMenuIds(Long[] menuIds);

    /**
     * 删除前端菜单信息
     *
     * @param menuId 前端菜单主键
     * @return 结果
     */
    public int deleteEtMenuByMenuId(Long menuId);
}
